local addonName, ChatAssistant = ...

local frame, events = CreateFrame("Frame"), {};

function events:CHAT_MSG_CHANNEL(...) 
  ChatAssistant.handleChatEvent(...)
end

function events:PLAYER_LOGIN(...) 
  if ChatAssistantSettings.enabled then 
     print("ChatAssistant |cff33ff33Enabled|r: type /CA help") 
    else 
     print("ChatAssistant |cffff3333Disabled|r: type /CA help")
  end
  local current = GetAddOnMetadata(addonName, "Version")
  if ChatAssistantSettings.version ~= current then
    print("ChatAssistant Updating Defaults to Release: "..current)
    ChatAssistantSettings = ChatAssistant.defaults
  end
  ChatAssistant.loadOptions()  
  if ChatAssistantSettings.mmicon then ChatAssistant.registerMiniMap() end
end

frame:SetScript("OnEvent", function(self, event, ...)
 events[event](self, ...); 
end);

for k, _ in pairs(events) do
  frame:RegisterEvent(k);
end
